Question

Typescript error after running ampli pull

  • 20 September 2022
  • 2 replies
  • 20 views

After running ampli pull in our project, we receive the following typscript error on 2 lines. It’s a very easy fix but it’s frustrating to need to change it every time we regenerate.

 

TS Error
Lines with error
Fixed code

 


2 replies

Userlevel 4
Badge +8

@cgriebel Hope you are doing well!

Sorry to hear that you are experiencing some difficulties using ampli with the TypeScript SDK. What version of the CLI and SDK are you using?

Hello @eddie.gaona,

I’m using the latest version of the cli on windows:

amli -v output

We aren’t using the SDK, only the generated code from the CLI.

Reply